## scribus-ng 1.3.8.dfsg-1.1

=== scribus/CMakeLists.txt ===
IF(WIN32)
  ADD_DEFINITIONS(-DQT_DLL)
ENDIF(WIN32)

ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(dtd)
ADD_SUBDIRECTORY(manpages)
ADD_SUBDIRECTORY(profiles)
ADD_SUBDIRECTORY(styles)
ADD_SUBDIRECTORY(text)
ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(desaxe)
ADD_SUBDIRECTORY(unicodemap)
IF (WANT_DESIGNER)
  ADD_SUBDIRECTORY(designer)
ENDIF (WANT_DESIGNER)

SET(SCRIBUS_UI_SRC
  aboutplugins.ui
  aligndistribute.ui
  charselect.ui
  charselectenhanced.ui
  cmsprefsbase.ui
  docitemattrprefs.ui
  docsections.ui
  gtfiledialog.ui
  guidemanager.ui
  hysettingsBase.ui
  insertaframe.ui
  latexeditor.ui
  measurementsbase.ui
  multipleduplicate.ui
  multiprogressdialog.ui
  nftdialog.ui
  nftwidget.ui
  pageitemattributes.ui
  patterndialog.ui
  picsearch.ui
  picsearchoptions.ui
  picstatus.ui
  pluginmanagerprefsgui.ui
  polygonwidgetbase.ui
  printdialogbase.ui
  replacecolors.ui
  replaceonecolor.ui
  selectobjects.ui
  shortcutwidget.ui
  smcstylewidget.ui
  smlinestylewidget.ui
  smpstylewidget.ui
  smreplacedia.ui
  smstyleimport.ui
  stylemanager.ui
  tabdisplay.ui
  tabexternaltoolswidget.ui
  tabgeneral.ui
  tabkeyboardshortcutswidget.ui
  tabmiscellaneous.ui
  tabprinter.ui
  tabscrapbook.ui
  tocindexprefs.ui
  ui/copypagetomasterpage.ui
  ui/createrange.ui
  ui/helpbrowser.ui
  unicodesearch.ui
  useprintermarginsdialog.ui
)

SET(SCRIBUS_MOC_CLASSES
  about.h
  aboutplugins.h
  actionmanager.h
  adjustcmsdialog.h
  aligndistribute.h
  alignselect.h
  annot.h
  annota.h
  applytemplatedialog.h
  arrowchooser.h
  autoform.h
  autoformbuttongroup.h
  basepointwidget.h
  bookmarkpalette.h
  bookmwin.h
  buttonicon.h
  canvas.h
  canvasgesture_rulermove.h
  canvasmode.h
  canvasmode_edit.h
  canvasmode_legacy.h
  canvasmode_measurements.h
  canvasmode_normal.h
  charselect.h
  charselectenhanced.h
  chartablemodel.h
  chartableview.h
  charzoom.h
  checkDocument.h
  cmsprefs.h
  cmykfw.h
  collect4output.h
  colorblind.h
  colorchart.h
  colorcombo.h
  colorlistbox.h
  colorm.h
  commonstrings.h
  contextmenu.h
  cpalette.h
  cupsoptions.h
  curvewidget.h
  customfdialog.h
  dasheditor.h
  dcolor.h
  deferredtask.h
  delpages.h
  docinfo.h
  docitemattrprefs.h
  docsections.h
  editor.h
  effectsdialog.h
  extimageprops.h
  fileloader.h
  filesearch.h
  filewatcher.h
  fontcombo.h
  fontlistmodel.h
  fontlistview.h
  fontprefs.h
  fontreplacedialog.h
  gradienteditor.h
  gtdialogs.h
  gtfiledialog.h
  guidemanager.h
  guidesdelegate.h
  guidesmodel.h
  helpbrowser.h
  hruler.h
  hyask.h
  hyphenator.h
  hysettings.h
  imageinfodialog.h
  insertTable.h
  insertaframe.h
  inspage.h
  javadocs.h
  latexeditor.h
  latexhelpers.h
  layers.h
  loadsaveplugin.h
  loremipsum.h
  marginwidget.h
  margindialog.h
  masterpagepalette.h
  measurements.h
  menumanager.h
  mergedoc.h
  missing.h
  movepage.h
  multipleduplicate.h
  multiprogressdialog.h
  navigator.h
  newfile.h
  newtemp.h
  nftdialog.h
  nftwidget.h
  nodeeditpalette.h
  observable.h
  oneclick.h
  outlinepalette.h
  pageitem.h
  pageitem_imageframe.h
  pageitem_latexframe.h
  pageitem_line.h
  pageitem_pathtext.h
  pageitem_polygon.h
  pageitem_polyline.h
  pageitem_textframe.h
  pageitemattributes.h
  pageitempointer.h
  pagelayout.h
  pagepalette.h
  pageselector.h
  patterndialog.h
  pdflib.h
  pdflib_core.h
  pdfopts.h
  picsearch.h
  picsearchoptions.h
  picstatus.h
  pluginmanager.h
  pluginmanagerprefsgui.h
  polygonwidget.h
  polyprops.h
  prefs.h
  prefsdialogbase.h
  prefsmanager.h
  prefspanel.h
  preview.h
  printdialog.h
  propertiespalette.h
  pslib.h
  query.h
  reformdoc.h
  replacecolors.h
  replaceonecolor.h
  rulermover.h
  sampleitem.h
  scfilewidget.h
  scgtplugin.h
  schelptreemodel.h
  scinputdialog.h
  scmenu.h
  scmessagebox.h
  scplugin.h
  scprintengine.h
  scraction.h
  scrapbookpalette.h
  scribus.h
  scribusapp.h
  scribuscore.h
  scribusdoc.h
  scribusview.h
  scribuswin.h
  scrpalettebase.h
  scrspinbox.h
  sctablewidget.h
  sctextbrowser.h
  sctoolbar.h
  sctreewidget.h
  search.h
  selection.h
  selectobjects.h
  selfield.h
  shadebutton.h
  shortcutwidget.h
  smalignselect.h
  smcheckbox.h
  smcolorcombo.h
  smcstylewidget.h
  smfontcomboh.h
  smlinestyle.h
  smlinestylewidget.h
  smpstylewidget.h
  smreplacedia.h
  smsccombobox.h
  smscrspinbox.h
  smshadebutton.h
  smspinbox.h
  smstyleimport.h
  smstyleselect.h
  smtabruler.h
  smtextstyles.h
  spalette.h
  storyeditor.h
  styleitem.h
  stylemanager.h
  styleselect.h
  styleview.h
  tabcheckdoc.h
  tabdisplay.h
  tabdocument.h
  tabexternaltoolswidget.h
  tabgeneral.h
  tabguides.h
  tabkeyboardshortcutswidget.h
  tabmanager.h
  tabmiscellaneous.h
  tabpdfoptions.h
  tabprinter.h
  tabruler.h
  tabscrapbook.h
  tabtools.h
  tabtypography.h
  tocgenerator.h
  tocindexprefs.h
  tt/simpletreemodel/treemodel.h
  ui/copypagetomasterpagedialog.h
  ui/createrange.h
  ui/edittoolbar.h
  ui/filetoolbar.h  
  ui/modetoolbar.h
  ui/pdftoolbar.h
  undogui.h
  undomanager.h
  unicodesearch.h
  upgradechecker.h
  urllauncher.h
  useprintermarginsdialog.h
  vruler.h
)

SET(SCRIBUS_SOURCES
  about.cpp
  aboutplugins.cpp
  actionmanager.cpp
  adjustcmsdialog.cpp
  aligndistribute.cpp
  alignselect.cpp
  annot.cpp
  annota.cpp
  annotation.cpp
  applytemplatedialog.cpp
  arrowchooser.cpp
  autoform.cpp
  autoformbuttongroup.cpp
  basepointwidget.cpp
  bookmarkpalette.cpp
  bookmwin.cpp
  buttonicon.cpp
  canvas.cpp
  canvasgesture_linemove.cpp
  canvasgesture_pan.cpp
  canvasgesture_rectselect.cpp
  canvasgesture_resize.cpp
  canvasgesture_rulermove.cpp
  canvasmode.cpp
  canvasmode_copyproperties.cpp
  canvasmode_create.cpp
  canvasmode_drawbezier.cpp
  canvasmode_drawfreehand.cpp
  canvasmode_eyedropper.cpp
  canvasmode_framelinks.cpp
  canvasmode_edit.cpp
  canvasmode_editgradient.cpp
  canvasmode_legacy.cpp
  canvasmode_magnifier.cpp
  canvasmode_measurements.cpp
  canvasmode_nodeedit.cpp
  canvasmode_normal.cpp
  canvasmode_objimport.cpp
  canvasmode_panning.cpp
  canvasmode_rotate.cpp
  charselect.cpp
  charselectenhanced.cpp
  chartablemodel.cpp
  chartableview.cpp
  charzoom.cpp
  checkDocument.cpp
  cmserrorhandling.cpp
  cmsettings.cpp
  cmsprefs.cpp
  cmykfw.cpp
  collect4output.cpp
  colorblind.cpp
  colorchart.cpp
  colorcombo.cpp
  colorlistbox.cpp
  colorm.cpp
  colorsetmanager.cpp
  commonstrings.cpp
  contextmenu.cpp
  cpalette.cpp
  cupsoptions.cpp
  curvewidget.cpp
  customfdialog.cpp
  dasheditor.cpp
  dcolor.cpp
  deferredtask.cpp
  delpages.cpp
  docinfo.cpp
  docitemattrprefs.cpp
  docsections.cpp
  documentchecker.cpp
  documentinformation.cpp
  editor.cpp
  effectsdialog.cpp
  exif.cpp
  extimageprops.cpp
  fileloader.cpp
  filesearch.cpp
  fileunzip.cpp
  filewatcher.cpp
  fontcombo.cpp
  fontlistmodel.cpp
  fontlistview.cpp
  fontprefs.cpp
  fontreplacedialog.cpp
  fparser.cpp
  fpoint.cpp
  fpointarray.cpp
  fpoptimizer.cpp
  gradienteditor.cpp
  gtaction.cpp
  gtdialogs.cpp
  gtfiledialog.cpp
  gtfont.cpp
  gtframestyle.cpp
  gtgettext.cpp
  gtmeasure.cpp
  gtparagraphstyle.cpp
  gtstyle.cpp
  gtwriter.cpp
  guidemanager.cpp
  guidemanagercore.cpp
  guidesdelegate.cpp
  guidesmodel.cpp
  helpbrowser.cpp
  hnjalloc.c
  hruler.cpp
  hyask.cpp
  hyphen.c
  hyphenator.cpp
  hysettings.cpp
  imageinfodialog.cpp
  insertTable.cpp
  insertaframe.cpp
  inspage.cpp
  ioapi.c
  javadocs.cpp
  KarbonCurveFit.cpp
  langmgr.cpp
  latexeditor.cpp
  latexhelpers.cpp
  layers.cpp
  linecombo.cpp
  linkbutton.cpp
  loadsaveplugin.cpp
  loremipsum.cpp
  marginwidget.cpp
  margindialog.cpp
  masterpagepalette.cpp
  measurements.cpp
  menumanager.cpp
  mergedoc.cpp
  missing.cpp
  movepage.cpp
  multipleduplicate.cpp
  multiprogressdialog.cpp
  navigator.cpp
  newfile.cpp
  newtemp.cpp
  nftdialog.cpp
  nftwidget.cpp
  nftrcreader.cpp
  nftsettings.cpp
  nfttemplate.cpp
  nodeeditpalette.cpp
  observable.cpp
  oneclick.cpp
  outlinepalette.cpp
  page.cpp
  pageitem.cpp
  pageitem_desaxe.cpp
  pageitem_imageframe.cpp
  pageitem_latexframe.cpp
  pageitem_line.cpp
  pageitem_pathtext.cpp
  pageitem_polygon.cpp
  pageitem_polyline.cpp
  pageitem_textframe.cpp
  pageitemattributes.cpp
  pageitempointer.cpp
  pagelayout.cpp
  pagepalette.cpp
  pageselector.cpp
  pagesize.cpp
  patterndialog.cpp
  pdflib.cpp
  pdflib_core.cpp
  pdfoptions.cpp
  pdfoptionsio.cpp
  pdfopts.cpp
  picsearch.cpp
  picsearchoptions.cpp
  picstatus.cpp
  pluginmanager.cpp
  pluginmanagerprefsgui.cpp
  polygonwidget.cpp
  polyprops.cpp
  prefs.cpp
  prefscontext.cpp
  prefsdialogbase.cpp
  prefsfile.cpp
  prefsmanager.cpp
  prefspanel.cpp
  prefsreader.cpp
  prefstable.cpp
  preview.cpp
  printdialog.cpp
  propertiespalette.cpp
  pslib.cpp
  query.cpp
  rawimage.cpp
  rc4.c
  reformdoc.cpp
  replacecolors.cpp
  replaceonecolor.cpp
  rulermover.cpp
  sampleitem.cpp
  scclocale.cpp
  sccolor.cpp
  sccolorengine.cpp
  sccolorshade.cpp
  sccombobox.cpp
  scdocoutput.cpp
  scdocoutput_ps2.cpp
  scfilewidget.cpp
  scfonts.cpp
  scgtplugin.cpp
  scgzfile.cpp
  schelptreemodel.cpp
  scimage.cpp
  scimagestructs.cpp
  scimgdataloader.cpp
  scimgdataloader_gimp.cpp
  scimgdataloader_jpeg.cpp
  scimgdataloader_pdf.cpp
  scimgdataloader_ps.cpp
  scimgdataloader_psd.cpp
  scimgdataloader_qt.cpp
  scimgdataloader_tiff.cpp
  scinputdialog.cpp
  sclayer.cpp
  scmenu.cpp
  scmessagebox.cpp
  scmimedata.cpp
  scpageoutput.cpp
  scpageoutput_ps2.cpp
  scpainter.cpp
  scpainterex_ps2.cpp
  scpainterexbase.cpp
  scpaths.cpp
  scpattern.cpp
  scplugin.cpp
  scpreview.cpp
  scprintengine_ps.cpp
  scraction.cpp
  scrapbookpalette.cpp
  scresizecursor.cpp
  scribus.cpp
  scribusXml.cpp
  scribusapp.cpp
  scribuscore.cpp
  scribusdoc.cpp
  scribusview.cpp
  scribuswin.cpp
  scrpalettebase.cpp
  scrspinbox.cpp
  scslainforeader.cpp
  scstreamfilter.cpp
  scstreamfilter_ascii85.cpp
  scstreamfilter_flate.cpp
  scstreamfilter_rc4.cpp
  sctablewidget.cpp
  sctextbrowser.cpp
  sctextstream.cpp
  sctextstruct.cpp
  sctoolbar.cpp
  sctreewidget.cpp
  search.cpp
  selection.cpp
  selectobjects.cpp
  selfield.cpp
  serializer.cpp
  shadebutton.cpp
  shortcutwidget.cpp
  smalignselect.cpp
  smcheckbox.cpp
  smcolorcombo.cpp
  smcstylewidget.cpp
  smfontcomboh.cpp
  smlinestyle.cpp
  smlinestylewidget.cpp
  smpstylewidget.cpp
  smradiobutton.cpp
  smreplacedia.cpp
  smsccombobox.cpp
  smscrspinbox.cpp
  smshadebutton.cpp
  smspinbox.cpp
  smstyleimport.cpp
  smstyleselect.cpp
  smtabruler.cpp
  smtextstyles.cpp
  spalette.cpp
  splash.cpp
  stencilreader.cpp
  storyeditor.cpp
  styleitem.cpp
  stylemanager.cpp
  styleselect.cpp
  styleview.cpp
  tabcheckdoc.cpp
  tabdisplay.cpp
  tabdocument.cpp
  tabexternaltoolswidget.cpp
  tabgeneral.cpp
  tabguides.cpp
  tabkeyboardshortcutswidget.cpp
  tabmanager.cpp
  tabmiscellaneous.cpp
  tabpdfoptions.cpp
  tabprinter.cpp
  tabruler.cpp
  tabscrapbook.cpp
  tabtools.cpp
  tabtypography.cpp
  tocgenerator.cpp
  tocindexprefs.cpp
  transaction.cpp
  tt/simpletreemodel/treeitem.cpp
  tt/simpletreemodel/treemodel.cpp
  ui/copypagetomasterpagedialog.cpp
  ui/createrange.cpp
  ui/edittoolbar.cpp
  ui/filetoolbar.cpp
  ui/modetoolbar.cpp
  ui/pdftoolbar.cpp
  undogui.cpp
  undomanager.cpp
  undoobject.cpp
  undostack.cpp
  undostate.cpp
  unicodesearch.cpp
  units.cpp
  unzip.c
  updatemanager.cpp
  upgradechecker.cpp
  urllauncher.cpp
  useprintermarginsdialog.cpp
  util.cpp
  util_cms.cpp
  util_color.cpp
  util_file.cpp
  util_formats.cpp
  util_ghostscript.cpp
  util_icon.cpp
  util_math.cpp
  util_printer.cpp
  util_text.cpp
  vgradient.cpp
  vgradientex.cpp
  vruler.cpp
)

IF(WIN32)
  SET(SCRIBUS_MOC_WIN32_ONLY_CLASSES scprintengine_gdi.h)
  SET(SCRIBUS_WIN32_ONLY_SOURCES
      scpainterex_cairo.cpp
      scprintengine_gdi.cpp
      )
  SET(SCRIBUS_MAIN_CPP main_win32.cpp)
ELSE(WIN32)
  SET(SCRIBUS_MOC_WIN32_ONLY_CLASSES)
  SET(SCRIBUS_WIN32_ONLY_SOURCES)
  SET(SCRIBUS_MAIN_CPP main.cpp)
ENDIF(WIN32)

QT4_WRAP_UI(SCRIBUS_UI_SOURCES ${SCRIBUS_UI_SRC} )

=== resources/swatches/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

FILE( GLOB GIMP_STYLE_PALETTES *.gpl )
FILE( GLOB XML_PALLETES *.xml )

INSTALL(FILES ${GIMP_STYLE_PALETTES} ${XML_PALLETES}
 DESTINATION ${LIBDIR}swatches
)

=== scribus/profiles/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
GenericCMYK.icm
GenericCMYK.txt
Readme
sRGB.icm
srgb.license
  DESTINATION ${LIBDIR}profiles
)

=== scribus/plugins/tools/2geomtools/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/scribus
)

FIND_PACKAGE(Boost)
IF (Boost_FOUND)
  MESSAGE("Boost Library Found OK")
ENDIF (Boost_FOUND)

# FIND_PATH(BOOST_INCLUDE_DIR boost/weak_ptr.hpp 
#                             /usr/include 
#                             /usr/local/include
#                             $ENV{BOOST_DIR} )
# 
# 
# IF (BOOST_INCLUDE_DIR)
#   SET(Boost_FOUND TRUE)
# ENDIF (BOOST_INCLUDE_DIR)

IF(Boost_FOUND)
  MESSAGE(STATUS "Boost: FOUND, building 2geomtools")
  INCLUDE_DIRECTORIES( ${Boost_INCLUDE_DIR} )
  ADD_SUBDIRECTORY (lib2geom)
  SET(GEOMLIB ${CMAKE_CURRENT_BINARY_DIR}/lib2geom/2geom)
  LINK_DIRECTORIES(${PLUGIN_LIBRARIES} ${GEOMLIB})
  ADD_SUBDIRECTORY (meshdistortion)
  ADD_SUBDIRECTORY (pathalongpath)
ELSE(Boost_FOUND)
  MESSAGE(STATUS "Boost: NOT FOUND, not building 2geomtools")
ENDIF(Boost_FOUND)

=== debian/changelog ===
scribus-ng (1.3.8.dfsg-1.1) unstable; urgency=low

    * Non-maintainer upload.
    * Use libpodofo-dev instead of libpodofo0.8.0-dev as Build Dependency
      (Closes: #590372).

 -- Martijn van Brummelen <martijn@brumit.nl>  Wed, 08 Sep 2010 14:17:13 +0200

scribus-ng (1.3.8.dfsg-1) unstable; urgency=low

  * New Upstream release.
  * debian/control:
    - Updated standards-version to 3.9.1.
    - Added misc:Depends to package depends per lintian warning.
  * debian/rules:
    - removed a deprecated dh_desktop call.
  * debian/scribus-ng.lintian: Updated overrides for warnings that cannot be
    fixed for this software.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 26 Jul 2010 19:20:43 -0400

scribus-ng (1.3.7.dfsg~svn20100507-1) unstable; urgency=low

  * Upstream svn update. Transition to libpodofo0.8.0.
  * debian/control: 
    - Updated libpodofo dependcy.
    - Updated Standards-Version to 3.8.4.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 13 May 2010 16:00:57 -0400

scribus-ng (1.3.6.dfsg-2) unstable; urgency=low

  * Added a build-depends on libpodofo0-dev.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 24 Mar 2010 19:26:53 -0400

scribus-ng (1.3.6.dfsg-1) unstable; urgency=low

  * New Upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 17 Mar 2010 18:48:14 -0400

scribus-ng (1.3.5.dfsg+svn20091216-2) unstable; urgency=low

  * debian/rules: updated alpha target detection to set correct build options
    and prevent a FTBFS.
  * debian/control: removed hurd-* architectures from the architecture list as
    the program doesn't build on hurd at all due to a cmake-related problem.
    The build doesn't find the topmost CMakeLists.txt.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 17 Dec 2009 09:47:55 -0600

scribus-ng (1.3.5.dfsg+svn20091216-1) unstable; urgency=low

  * Upstream svn update (Closes: #559133).

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 16 Dec 2009 16:29:04 -0600

scribus-ng (1.3.5.dfsg+svn20091030-1) unstable; urgency=low

  * Upstream svn update with bugfixes. Prepare the tarball for uploading into
    Debian (Closes: #534510, #552026).
  * debian/control:
    - Refresh arch list.
    - Update Standards-Version to 3.8.3.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 30 Oct 2009 20:00:37 -0500

scribus-ng (1.3.5.dfsg-1) unstable; urgency=low

  * New upstream developmental release.
  * debian/control:
    - Updated Architecture list.
    - Removed cupsys-bsd from alternative depends.
    - Removed  | libcupsys2-dev from build-depends.
    - Changed libboost-python1.35-dev to libboost-python-dev.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 13 Aug 2009 23:37:50 -0400

scribus-ng (1.3.5.dfsg~svn20090704rc3-1) unstable; urgency=low

  * Scribus 1.3.5 Release Candidate 3.
  * debian/control: 
    - Updated Standards-Version to 3.8.2.
    - Updated dependency on libboost to a versioned variant that is present on
      both Debian and Ubuntu latest three branches.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 05 Jul 2009 10:53:51 -0400

scribus-ng (1.3.5.dfsg~svn20090603rc2-1) unstable; urgency=low

  * Scribus 1.3.5 Release Candidate 2.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 03 Jun 2009 16:31:54 -0500

scribus-ng (1.3.5.dfsg~svn20090518rc1-1) unstable; urgency=low

  * Scribus 1.3.5 Release Candidate 1.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 18 May 2009 18:53:16 -0500

scribus-ng (1.3.5.dfsg~svn20090515-1) unstable; urgency=low

  * Upstream svn update.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 15 May 2009 15:57:11 -0500

scribus-ng (1.3.5.dfsg~svn20090419-1) unstable; urgency=low

  * Upstream svn update.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 19 Apr 2009 20:18:56 -0500

scribus-ng (1.3.5.dfsg~svn20090415-1) unstable; urgency=low

  * Upstream svn update.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 15 Apr 2009 21:59:37 -0500

scribus-ng (1.3.5.dfsg~svn20090407-1) unstable; urgency=low

  * Upstream svn update.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 07 Apr 2009 08:55:28 -0600

scribus-ng (1.3.5.dfsg~svn20090226-1) unstable; urgency=low

  * Upstream svn update.
  * debian/control: Added a dependency on libaspell-dev as one of Ubuntu users
    brought up an issue with spellchecker not working.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 26 Feb 2009 17:20:38 -0700

scribus-ng (1.3.5.dfsg~svn20090224-1) unstable; urgency=low

  * Upstream svn update.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 24 Feb 2009 13:52:58 -0700

scribus-ng (1.3.5.dfsg~svn20090208-3) unstable; urgency=low

  * debian/control: Build with PoDoFo - add libpodofo0-dev to build-depends.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 11 Feb 2009 12:24:44 -0700

scribus-ng (1.3.5.dfsg~svn20090208-2) unstable; urgency=low

  * debian/control: Use "type-handling -n arm,armel,armeb any" to generate the
    list of architectures to build on.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 09 Feb 2009 09:25:18 -0700

scribus-ng (1.3.5.dfsg~svn20090208-1) unstable; urgency=low

  * debian/control: Use a manual list of architectures to build on to exclude
    arm/armel where a solution to FTBFS due to a recent changeover of qreal
    typedef from double to float on these arches is a massive and potentially
    unsolvable problem for Scribus 1.3.5 codebase (Closes: #514448).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 08 Feb 2009 16:52:14 -0700

scribus-ng (1.3.5.dfsg~svn20090125-1) unstable; urgency=low

  * Upstream svn update - fixes a FTBFS on arm.
  * debian/control: Removed Ghostscript depends alternatives to ghostscript
    as scribus-ng can't be built on older distros due to the Qt 4.4
    dependency, so there is no reason for obsolete gs (Closes: #498139).
  * debian/scribus-ng.lintian: Updated overrides.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 26 Jan 2009 09:54:28 -0700

scribus-ng (1.3.5.dfsg~svn20090123-1) unstable; urgency=low



=== debian/control ===
Source: scribus-ng
Section: graphics
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 5), cmake (>= 2.4.3), gcc (>=3.3.5), libqt4-dev (>= 4.2.3), libcairo2-dev, zlib1g-dev, liblcms1-dev (>= 1.13), libtiff4-dev, libcups2-dev, libxml2-dev (>= 2.6.16), dpatch, gettext, python-all-dev, libboost-python-dev, libaspell-dev, libpodofo-dev
Standards-Version: 3.9.1

Package: scribus-ng
#Architecture list is gnerated with type-handling -n arm,armel,armeb any
Architecture: darwin-alpha freebsd-alpha kfreebsd-alpha knetbsd-alpha kopensolaris-alpha alpha netbsd-alpha openbsd-alpha solaris-alpha ucalpha darwin-amd64 freebsd-amd64 kfreebsd-amd64 knetbsd-amd64 kopensolaris-amd64 amd64 netbsd-amd64 openbsd-amd64 solaris-amd64 ucamd64 darwin-avr32 freebsd-avr32 kfreebsd-avr32 knetbsd-avr32 kopensolaris-avr32 avr32 netbsd-avr32 openbsd-avr32 solaris-avr32 ucavr32 darwin-hppa freebsd-hppa kfreebsd-hppa knetbsd-hppa kopensolaris-hppa hppa netbsd-hppa openbsd-hppa solaris-hppa uchppa darwin-i386 freebsd-i386 kfreebsd-i386 knetbsd-i386 kopensolaris-i386 i386 netbsd-i386 openbsd-i386 solaris-i386 uci386 darwin-ia64 freebsd-ia64 kfreebsd-ia64 knetbsd-ia64 kopensolaris-ia64 ia64 netbsd-ia64 openbsd-ia64 solaris-ia64 ucia64 lpia darwin-m32r freebsd-m32r kfreebsd-m32r knetbsd-m32r kopensolaris-m32r m32r netbsd-m32r openbsd-m32r solaris-m32r ucm32r darwin-m68k freebsd-m68k kfreebsd-m68k knetbsd-m68k kopensolaris-m68k m68k netbsd-m68k openbsd-m68k solaris-m68k ucm68k darwin-mips freebsd-mips kfreebsd-mips knetbsd-mips kopensolaris-mips mips netbsd-mips openbsd-mips solaris-mips ucmips darwin-mipsel freebsd-mipsel kfreebsd-mipsel knetbsd-mipsel kopensolaris-mipsel mipsel netbsd-mipsel openbsd-mipsel solaris-mipsel ucmipsel darwin-powerpc freebsd-powerpc kfreebsd-powerpc knetbsd-powerpc kopensolaris-powerpc powerpc netbsd-powerpc openbsd-powerpc solaris-powerpc ucpowerpc darwin-ppc64 freebsd-ppc64 kfreebsd-ppc64 knetbsd-ppc64 kopensolaris-ppc64 ppc64 netbsd-ppc64 openbsd-ppc64 solaris-ppc64 ucppc64 darwin-s390 freebsd-s390 kfreebsd-s390 knetbsd-s390 kopensolaris-s390 s390 netbsd-s390 openbsd-s390 solaris-s390 ucs390 darwin-s390x freebsd-s390x kfreebsd-s390x knetbsd-s390x kopensolaris-s390x s390x netbsd-s390x openbsd-s390x solaris-s390x ucs390x darwin-sh3 freebsd-sh3 kfreebsd-sh3 knetbsd-sh3 kopensolaris-sh3 sh3 netbsd-sh3 openbsd-sh3 solaris-sh3 ucsh3 darwin-sh3eb freebsd-sh3eb kfreebsd-sh3eb knetbsd-sh3eb kopensolaris-sh3eb sh3eb netbsd-sh3eb openbsd-sh3eb solaris-sh3eb ucsh3eb darwin-sh4 freebsd-sh4 kfreebsd-sh4 knetbsd-sh4 kopensolaris-sh4 sh4 netbsd-sh4 openbsd-sh4 solaris-sh4 ucsh4 darwin-sh4eb freebsd-sh4eb kfreebsd-sh4eb knetbsd-sh4eb kopensolaris-sh4eb sh4eb netbsd-sh4eb openbsd-sh4eb solaris-sh4eb ucsh4eb darwin-sparc freebsd-sparc kfreebsd-sparc knetbsd-sparc kopensolaris-sparc sparc netbsd-sparc openbsd-sparc solaris-sparc ucsparc
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python, python-tk, ghostscript (>= 8.61)
Recommends: xfonts-scalable | gsfonts-x11, cups-bsd, icc-profiles
Suggests: scribus-template
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Homepage: http://www.scribus.net/
Description: Open Source Desktop Page Layout - developmental branch
 .
 This is the developmental branch of Scribus - the open source desktop page
 layout program. This package is intended for tracking fast-paced development
 of scribus to make new features available to those who need them. Do not use
 this package if stability is your main requirement or if you intend to return
 to the stable 1.3.3.x "scribus" package at some point as the file formats are
 incompatible. This package is only for people who need the cutting edge
 features and can handle crashes and data loss and submit bug reports.
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation. It has
 sophisticated page layout features like precision placing and rotating of text
 and/or images on a page, manual kerning of type, bezier curves polygons,
 precision placement of objects, layering with RGB and CMYK custom colors. The
 Scribus document file format is XML-based. Unlike proprietary binary file
 formats, even damaged documents, can be recovered with a simple text editor.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT3.
 .
 Printing, PDF and SVG creation are done via custom driver libraries and
 plug-ins, giving Scribus inventive features: the abilities to include
 presentation effects with PDF output, fully scriptable interactive PDF
 forms, SVG vector file output. The internal printer drivers fully support
 Level 2 and Level 3/PDF 1.4 postscript features including transparency and
 font embedding.
 .
 When run from KDE, Drag and Drop, for example from desktop to the canvas,
 is enabled. There is easy to use drag and drop scrapbook for frequently
 used items such as text blocks, pictures and custom shaped frames.

=== debian/rules ===
#!/usr/bin/make -f

package=scribus-ng
CMAKE=/usr/bin/cmake

#export DH_VERBOSE=1
DEBUG_FLAG=1


DEBIAN_DIR = $(shell pwd)/debian
BUILD_DIR = $(shell pwd)/debian/build
INSTALL_DIR = $(shell pwd)/debian/scribus-ng
DOC_DIR = $(INSTALL_DIR)/usr/share/doc/scribus-ng
SCRIPTS_DIR = $(INSTALL_DIR)/usr/share/scribus-ng/scripts
PATCH_DIR = $(DEBIAN_DIR)/patches
patches = $(shell ls $(PATCH_DIR) | sort)
rev_patches = $(shell ls $(PATCH_DIR) | sort -r)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH),alpha)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

include /usr/share/dpatch/dpatch.make

configure-stamp: patch
	echo "DEB_BUILD_OPTIONS: ${DEB_BUILD_OPTIONS}"
	dh_testdir
	mkdir -p $(BUILD_DIR)
	cd $(BUILD_DIR) && $(CMAKE) \
	    -DWANT_DEBUG:STRING=$(DEBUG_FLAG) \
	    -DWANT_LIB32:BOOL=1 \
	    -DWANT_CAIRO:BOOL=1 \
	    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
	    -DWANT_NORPATH:BOOL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DRPATH_STYLE:STRING=none \
	    -DWANT_VERSIONING:BOOL=1 \
	    -DCUSTOM_VERSIONTAG:STRING=-ng \
	    -DCMAKE_CXX_FLAGS:STRING='$(OPT_FLAG)' \
	    -DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)' ../../
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	dh_clean
	$(MAKE) $(MAKE_FLAG) -C $(BUILD_DIR)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f configure-stamp build-stamp install-stamp
	-rm -rf $(BUILD_DIR) $(INSTALL_DIR)
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install
	mkdir -p $(INSTALL_DIR)
	$(MAKE) $(MAKE_FLAG) -C $(BUILD_DIR) install DESTDIR=$(INSTALL_DIR)
	mv $(INSTALL_DIR)/usr/share/man/man1/scribus.1 $(INSTALL_DIR)/usr/share/man/man1/scribus-ng.1
	mv $(INSTALL_DIR)/usr/share/man/pl/man1/scribus.1 $(INSTALL_DIR)/usr/share/man/pl/man1/scribus-ng.1
	mv $(INSTALL_DIR)/usr/share/man/de/man1/scribus.1 $(INSTALL_DIR)/usr/share/man/de/man1/scribus-ng.1
	mv $(INSTALL_DIR)/usr/share/mime/packages/scribus.xml $(INSTALL_DIR)/usr/share/mime/packages/scribus-ng.xml
	mv $(INSTALL_DIR)/usr/share/scribus-ng/scripts/ChangeLog $(INSTALL_DIR)/usr/share/doc/scribus-ng/ChangeLogScripts
	mv $(INSTALL_DIR)/usr/share/scribus-ng/icons/scribus.png $(INSTALL_DIR)/usr/share/pixmaps/scribus-ng.png
	mv $(INSTALL_DIR)/usr/share/mimelnk/application/vnd.scribus.desktop $(INSTALL_DIR)/usr/share/mimelnk/application/vnd.scribus-ng.desktop
	rm -f $(INSTALL_DIR)/usr/share/doc/scribus-ng/ChangeLogSVN \
	$(DOC_DIR)/AUTHORS \
	$(DOC_DIR)/BUILDING \
	$(DOC_DIR)/changelog \
	$(DOC_DIR)/BUILDING \
	$(DOC_DIR)/PACKAGING \
	$(DOC_DIR)/NEWS \
	$(DOC_DIR)/TODO \
	$(DOC_DIR)/INSTALL \
	$(DOC_DIR)/README.MacOSX \
	$(DOC_DIR)/README.OS2 \
	$(DOC_DIR)/COPYING \
	$(SCRIPTS_DIR)/COPYING \
	$(SCRIPTS_DIR)/NEWS \
	$(SCRIPTS_DIR)/ReadMe \
	$(SCRIPTS_DIR)/TODO \
	$(INSTALL_DIR)/usr/share/applications/vnd.scribus.desktop
	chmod 755 $(INSTALL_DIR)/usr/share/scribus-ng/samples/*.py
	install -m644 debian/scribus-ng.lintian $(INSTALL_DIR)/usr/share/lintian/overrides/scribus-ng
	cp scribus.desktop $(INSTALL_DIR)/usr/share/applications/scribus-ng.desktop
	touch install-stamp


binary-indep: build install
	dh_testdir
	dh_testroot


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a README AUTHORS TODO
	dh_installmenu -a
	dh_installchangelogs ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 $(INSTALL_DIR)/usr/lib/scribus-ng/plugins/*.so
	chmod 755 $(INSTALL_DIR)/usr/lib/scribus-ng/plugins/*/*.so
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary clean binary-indep binary-arch binary install patch unpatch

## scribus-ng 1.3.8.dfsg-1.1build1

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection and rpath updates for custom cairo install
#its not likely 2.4.x will work any more
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

#IF(WIN32)
#  IF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#    MESSAGE(FATAL_ERROR "Windows builds require CMake 2.6")
#  ENDIF (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.6)
#ENDIF(WIN32)

#Pretty colors
SET(CMAKE_COLOR_MAKEFILE ON)
#Dont force verbose
SET(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)
#RPATH setup - more below too
IF (WANT_NORPATH OR WANT_DISTROBUILD)
  SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
ELSE (WANT_NORPATH OR WANT_DISTROBUILD)
  SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
ENDIF (WANT_NORPATH OR WANT_DISTROBUILD)
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
SET(CMAKE_SKIP_BUILD_RPATH TRUE)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckCCompilerFlag)
INCLUDE(CheckCXXCompilerFlag)
INCLUDE(CheckTypeSize)
INCLUDE(TestBigEndian)

#Set the custom CMake module directory where our include/lib finders are
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########

# CHECK_C_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" C_HAVE_PIC)
# CHECK_CXX_COMPILER_FLAG(" ${CMAKE_SHARED_LIBRARY_C_FLAGS}" CXX_HAVE_PIC)
# IF (CXX_HAVE_PIC AND C_HAVE_PIC)
#     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
#     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_SHARED_LIBRARY_C_FLAGS}")
# ELSE (CXX_HAVE_PIC AND C_HAVE_PIC)
#     MESSAGE(FATAL_ERROR "Shared library support is missing")
# ENDIF (CXX_HAVE_PIC AND C_HAVE_PIC)

# SET(CMAKE_SHARED_MODULE_LINK_FLAGS "${CMAKE_SHARED_MODULE_LINK_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_MODULE_LINK_CXX_FLAGS "${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_C_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS} -export-dynamic")
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_C_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_MODULE})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_LIBRARY})

#IMPORT FROM COMMANDLINE
# SET with cmake -DWANT_CAIRO=1, etc
# MESSAGE(STATUS ${WANT_CAIRO})
# MESSAGE(STATUS ${WANT_LIBART})
# MESSAGE(STATUS ${WANT_DEBUG})

# SET(WANT_CAIRO 0)
# SET(WANT_LIBART 1)

#Project Setup
PROJECT(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "3")
SET (VERSION_PATCH "8")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR})
IF (VERSION_MINOR GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_MINOR})
ENDIF (VERSION_MINOR GREATER -1)
IF (VERSION_PATCH GREATER -1)
  SET (VERSION ${VERSION}.${VERSION_PATCH})
ENDIF (VERSION_PATCH GREATER -1)
IF (VERSION_SUFFIX)
  SET (VERSION ${VERSION}.${VERSION_SUFFIX})
ENDIF (VERSION_SUFFIX)
MESSAGE(STATUS "Scribus ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
SET(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

EXECUTE_PROCESS(
    COMMAND ${CMAKE_C_COMPILER} -dumpmachine
    OUTPUT_VARIABLE MACHINE
    OUTPUT_STRIP_TRAILING_WHITESPACE
)

MESSAGE(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
STRING(REGEX MATCH "(i?86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
IF (_machine_x86)
    MESSAGE(STATUS "Found target X86")
    SET(ARCH_X86 1)
ENDIF (_machine_x86)
IF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)
  MESSAGE(STATUS "Found Snow Leopard Target: Apple, 64 bit, X86")
  UNSET(ARCH_X86)
  SET(ARCH_X86_64 1)
  SET(APPLE_10_6_X 1 CACHE TYPE BOOL)
ENDIF (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND ARCH_X86 EQUAL 1)

STRING(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
IF (_machine_x86_64)
    MESSAGE(STATUS "Found target X86_64")
    SET(ARCH_X86_64 1)
ENDIF (_machine_x86_64)

STRING(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
IF (_machine_sparc_64)
    MESSAGE(STATUS "Found target SPARC 64")
    SET(ARCH_SPARC_64 1)
ENDIF (_machine_sparc_64)

STRING(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
IF (_machine_mips_64)
    MESSAGE(STATUS "Found target MIPS 64")
    SET(ARCH_MIPS_64 1)
ENDIF (_machine_mips_64)

STRING(REGEX MATCH "(mips-*)|(MIPS-*)" _machine_mips "${MACHINE}")
IF (_machine_mips)
    MESSAGE(STATUS "Found target MIPS")
    SET(ARCH_MIPS 1)
ENDIF (_machine_mips)

STRING(REGEX MATCH "(hppa-*)" _machine_hppa "${MACHINE}")
IF (_machine_hppa)
    MESSAGE(STATUS "Found target HPPA")
    SET(ARCH_HPPA 1)
ENDIF (_machine_hppa)

STRING(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
IF (_machine_ppc)
    MESSAGE(STATUS "Found target PPC")
    SET(ARCH_PPC 1)
ENDIF (_machine_ppc)

STRING(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
IF (_machine_ppc_64)
    MESSAGE(STATUS "Found target PPC64")
    SET(ARCH_PPC_64 1)
ENDIF (_machine_ppc_64)

STRING(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
IF (_machine_sparc)
    MESSAGE(STATUS "Found target Sparc")
    SET(ARCH_SPARC 1)
ENDIF (_machine_sparc)

STRING(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
IF (_machine_sparcv9)
    MESSAGE(STATUS "Found target Sparc v9")
    SET(ARCH_SPARCV9 1)
ENDIF (_machine_sparcv9)

STRING(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
IF (_machine_sparc64)
    MESSAGE(STATUS "Found target Sparc64")
    SET(ARCH_SPARC64 1)
    SET(ARCH64BIT 1)
ENDIF (_machine_sparc64)

#convert any 64 bit build into generic 64 tag for below
IF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 
  SET(ARCH64BIT 1)
ENDIF (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64) 

MESSAGE(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
IF (NOT BUILD_OSX_BUNDLE)
  SET(BUILD_OSX_BUNDLE ${APPLE} CACHE TYPE BOOL)
ENDIF (NOT BUILD_OSX_BUNDLE)

#Simplify future conditionals for Apple
IF (APPLE AND BUILD_OSX_BUNDLE)
  SET(APPLEBUNDLE TRUE CACHE TYPE BOOL)
ENDIF (APPLE AND BUILD_OSX_BUNDLE)

#Announce we cached a version request before, overridden below for OSX
IF(TAG_VERSION)
  IF (NOT APPLEBUNDLE)
    MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  ENDIF (NOT APPLEBUNDLE)
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)

#Remove version tags on OSX so our bundle is Scribus.app
IF (APPLEBUNDLE)
  IF (WANT_VERSIONING OR CACHED_VERSIONING)
    MESSAGE(STATUS "Ignoring version tag on OSX when building bundle")
    SET(WANT_VERSIONING 0)
    SET(CACHED_VERSIONING 0)
  ENDIF (WANT_VERSIONING OR CACHED_VERSIONING)
ENDIF (APPLEBUNDLE)

#Store our version string if require
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

##############################################################################################################
########## Install/Directory Setup                                                                  ##########

IF (APPLEBUNDLE)
  IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    # all ok
  ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
    IF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # add "/Contents" subpath
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Contents")
    ELSE ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
      # no bundle name spcified, use appname and version
      SET(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Scribus${VERSION}.app/Contents")
    ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
  ENDIF ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")

  MESSAGE(STATUS "APPLEBUNDLE install prefix: ${CMAKE_INSTALL_PREFIX}")
ENDIF (APPLEBUNDLE)


#Setp all the directories we will use
#MAN
CMAKE_POLICY(SET CMP0005 OLD)
SET(MANDIR "share/man/")
SET(SHAREDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/")
ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")

#SHARE - use the default on Apple as TAG_VERSION is empty
IF(WIN32 OR OS2)
  SET(DOCDIR "share/doc/")
ELSE (WIN32 OR OS2)
  IF(TAG_VERSION OR BUILD_OSX_BUNDLE)
    SET(DOCDIR "share/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
  ELSE(TAG_VERSION OR BUILD_OSX_BUNDLE)
    SET(DOCDIR "share/doc/${MAIN_DIR_NAME}-${VERSION}/")
  ENDIF (TAG_VERSION OR BUILD_OSX_BUNDLE)
ENDIF (WIN32 OR OS2)
ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")

#ICON
IF(WIN32)
  SET(ICONDIR "share/icons/")
ELSE(WIN32)
  SET(ICONDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")

#SAMPLES
SET(SAMPLESDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/samples/")
ADD_DEFINITIONS("-DSAMPLESDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SAMPLESDIR}\\\"")

#SCRIPTS
SET(SCRIPTSDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/scripts/")
ADD_DEFINITIONS("-DSCRIPTSDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SCRIPTSDIR}\\\"")

#TEMPLATES
IF(WIN32)
  SET(TEMPLATEDIR "share/templates/")
ELSE(WIN32)
  SET(TEMPLATEDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/templates/")
ENDIF(WIN32)
ADD_DEFINITIONS("-DTEMPLATEDIR=\\\"${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR}\\\"")

#DESKTOP
SET(DESKTOPDIR "share/applications/")
ADD_DEFINITIONS("-DDESKTOPDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DESKTOPDIR}\\\"")

# APPLICATION_DATA_DIR
# It allows specify the user configuration directory in the compile time.
# Example: I want to use special ~/.scribus135svn config directory for my trunk
#          cmake -DAPPLICATION_DATA_DIR=.scribus135svn ...
IF (APPLICATION_DATA_DIR)
	MESSAGE(STATUS "Using ApplicationDataDir ${APPLICATION_DATA_DIR} instead of the platform default.")
    ADD_DEFINITIONS("-DAPPLICATION_DATA_DIR=\\\"${APPLICATION_DATA_DIR}\\\"")
ELSE (APPLICATION_DATA_DIR)
    MESSAGE(STATUS "Using standard ApplicationDataDir. You can change it with -DAPPLICATION_DATA_DIR")
ENDIF (APPLICATION_DATA_DIR)

#LIB LOCATION - lib or lib64 normally
#LIB
IF(WANT_LIB64)
  IF(NOT ARCH_X86_64)
    MESSAGE(STATUS "WARNING: BUILDING 64 Bit build on non 64 bit architecture")
  ENDIF(NOT ARCH_X86_64)
  SET(LIB_SUFFIX "64" CACHE TYPE STRING)
ENDIF(WANT_LIB64)
SET(LIB_DIR_NAME "lib${LIB_SUFFIX}")
SET(LIBDIR "${LIB_DIR_NAME}/${MAIN_DIR_NAME}${TAG_VERSION}/")

=== resources/dicts/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

#Install our hyphenation dict files, selected from *.dic in this directory
FILE( GLOB SCRIBUS_DICT_FILES *.dic *.txt )
INSTALL(FILES ${SCRIBUS_DICT_FILES} DESTINATION ${SHAREDIR}dicts)

=== resources/editorconfig/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

INSTALL(FILES
100_latex.tar
100_latex.xml
#sample.xml
200_gnuplot.xml
gnuplot.png
300_lilypond.xml
lilypond.png
400_dot.xml
dot.svg
500_povray.xml
povray_32.png

  DESTINATION ${SHAREDIR}/editorconfig
)

=== resources/keysets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
scribus13.xml
  DESTINATION ${SHAREDIR}keysets
)

=== scribus/plugins/CMakeLists.txt ===
ADD_SUBDIRECTORY(barcodegenerator)
ADD_SUBDIRECTORY(colorwheel)
ADD_SUBDIRECTORY(fileloader)
ADD_SUBDIRECTORY(fontpreview)
ADD_SUBDIRECTORY(gettext)
ADD_SUBDIRECTORY(import)
# ADD_SUBDIRECTORY(newfromtemplateplugin)
ADD_SUBDIRECTORY(pixmapexport)
ADD_SUBDIRECTORY(saveastemplateplugin)
IF(NOT WIN32)
  ADD_SUBDIRECTORY(scriptplugin)
ENDIF(NOT WIN32)
ADD_SUBDIRECTORY(short-words)
ADD_SUBDIRECTORY(svgexplugin)
# ADD_SUBDIRECTORY(imposition)
ADD_SUBDIRECTORY(tools)
#ADD_SUBDIRECTORY(picbrowser)

# ADD_SUBDIRECTORY(myplugin)

=== resources/translations/qm/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

#Install our qm files, selected from *.qm in this directory
FILE( GLOB SCRIBUS_QM_FILES *.qm )
INSTALL(FILES ${SCRIBUS_QM_FILES} DESTINATION ${SHAREDIR}/translations)

=== scribus/plugins/imposition/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(IMPOSITION_PLUGIN_UI_SRC
impositionbase.ui
)

SET(IMPOSITION_PLUGIN_MOC_CLASSES
imposition.h
impositionplugin.h
)

SET(IMPOSITION_PLUGIN_SOURCES
imposition.cpp
impositionplugin.cpp
)

SET(SCRIBUS_IMPOSITION_PLUGIN "imposition")

QT4_WRAP_UI(IMPOSITION_PLUGIN_UI_SOURCES ${IMPOSITION_PLUGIN_UI_SRC} )
QT4_WRAP_CPP(IMPOSITION_PLUGIN_MOC_SOURCES ${IMPOSITION_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_IMPOSITION_PLUGIN} MODULE ${IMPOSITION_PLUGIN_SOURCES} ${IMPOSITION_PLUGIN_MOC_SOURCES} ${IMPOSITION_PLUGIN_UI_CPP} ${IMPOSITION_PLUGIN_UI_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_IMPOSITION_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_IMPOSITION_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

ADD_DEPENDENCIES(${SCRIBUS_IMPOSITION_PLUGIN} ${EXE_NAME})

# SET_TARGET_PROPERTIES(${SCRIBUS_IMPOSITION_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/import/pct/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

SET(IMPORTPCT_PLUGIN_MOC_CLASSES
  importpct.h
  importpctplugin.h
)

SET(IMPORTPCT_PLUGIN_SOURCES
  importpct.cpp
  importpctplugin.cpp
)

SET(SCRIBUS_IMPORTPCT_PLUGIN "importpct")

QT4_WRAP_CPP(IMPORTPCT_PLUGIN_MOC_SOURCES ${IMPORTPCT_PLUGIN_MOC_CLASSES})

ADD_LIBRARY(${SCRIBUS_IMPORTPCT_PLUGIN} MODULE ${IMPORTPCT_PLUGIN_SOURCES} ${IMPORTPCT_PLUGIN_MOC_SOURCES})

TARGET_LINK_LIBRARIES(${SCRIBUS_IMPORTPCT_PLUGIN} ${PLUGIN_LIBRARIES})

INSTALL(TARGETS ${SCRIBUS_IMPORTPCT_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

ADD_DEPENDENCIES(${SCRIBUS_IMPORTPCT_PLUGIN} ${EXE_NAME})

=== scribus/plugins/scriptplugin/scripts/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
CalendarWizard.py
ColorChart.py
DirectImageImport.py
FontSample.py
InfoBox.py
ChangeLog
NEWS
ReadMe
TODO
color2csv.py
csv2color.py
importcsv2table.py
  DESTINATION ${SCRIPTSDIR}
)

=== debian/changelog ===
scribus-ng (1.3.8.dfsg-1.1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:56:12 +0000

=== debian/watch ===
version=3

opts="dversionmangle='s/\.dfsg*$//'" http://sf.net/scribus/scribus-(\d\.\d\.\d+\.)tar\.bz2
